PageRenderTime 88ms CodeModel.GetById 24ms app.highlight 56ms RepoModel.GetById 1ms app.codeStats 1ms

/crypto/heimdal/appl/ftp/ftp/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 992 lines | 881 code | 86 blank | 25 comment | 154 complexity | 02b1e25f61617ddc3920e1be2e84386b MD5 | raw file
  1# Makefile.in generated by automake 1.11.1 from Makefile.am.
  2# @configure_input@
  3
  4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
  6# Inc.
  7# This Makefile.in is free software; the Free Software Foundation
  8# gives unlimited permission to copy and/or distribute it,
  9# with or without modifications, as long as this notice is preserved.
 10
 11# This program is distributed in the hope that it will be useful,
 12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 14# PARTICULAR PURPOSE.
 15
 16@SET_MAKE@
 17
 18# $Id$
 19
 20# $Id$
 21
 22# $Id$
 23
 24VPATH = @srcdir@
 25pkgdatadir = $(datadir)/@PACKAGE@
 26pkgincludedir = $(includedir)/@PACKAGE@
 27pkglibdir = $(libdir)/@PACKAGE@
 28pkglibexecdir = $(libexecdir)/@PACKAGE@
 29am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 30install_sh_DATA = $(install_sh) -c -m 644
 31install_sh_PROGRAM = $(install_sh) -c
 32install_sh_SCRIPT = $(install_sh) -c
 33INSTALL_HEADER = $(INSTALL_DATA)
 34transform = $(program_transform_name)
 35NORMAL_INSTALL = :
 36PRE_INSTALL = :
 37POST_INSTALL = :
 38NORMAL_UNINSTALL = :
 39PRE_UNINSTALL = :
 40POST_UNINSTALL = :
 41build_triplet = @build@
 42host_triplet = @host@
 43DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 44	$(top_srcdir)/Makefile.am.common \
 45	$(top_srcdir)/cf/Makefile.am.common
 46bin_PROGRAMS = ftp$(EXEEXT)
 47subdir = appl/ftp/ftp
 48ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 49am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
 50	$(top_srcdir)/cf/auth-modules.m4 \
 51	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
 52	$(top_srcdir)/cf/broken-glob.m4 \
 53	$(top_srcdir)/cf/broken-realloc.m4 \
 54	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
 55	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
 56	$(top_srcdir)/cf/capabilities.m4 \
 57	$(top_srcdir)/cf/check-compile-et.m4 \
 58	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
 59	$(top_srcdir)/cf/check-man.m4 \
 60	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
 61	$(top_srcdir)/cf/check-type-extra.m4 \
 62	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
 63	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
 64	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
 65	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
 66	$(top_srcdir)/cf/find-func-no-libs.m4 \
 67	$(top_srcdir)/cf/find-func-no-libs2.m4 \
 68	$(top_srcdir)/cf/find-func.m4 \
 69	$(top_srcdir)/cf/find-if-not-broken.m4 \
 70	$(top_srcdir)/cf/framework-security.m4 \
 71	$(top_srcdir)/cf/have-struct-field.m4 \
 72	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
 73	$(top_srcdir)/cf/krb-bigendian.m4 \
 74	$(top_srcdir)/cf/krb-func-getlogin.m4 \
 75	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
 76	$(top_srcdir)/cf/krb-readline.m4 \
 77	$(top_srcdir)/cf/krb-struct-spwd.m4 \
 78	$(top_srcdir)/cf/krb-struct-winsize.m4 \
 79	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
 80	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
 81	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
 82	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
 83	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
 84	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
 85	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
 86	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
 87	$(top_srcdir)/cf/roken-frag.m4 \
 88	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
 89	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
 90	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
 91	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
 92	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
 93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 94	$(ACLOCAL_M4)
 95mkinstalldirs = $(install_sh) -d
 96CONFIG_HEADER = $(top_builddir)/include/config.h
 97CONFIG_CLEAN_FILES =
 98CONFIG_CLEAN_VPATH_FILES =
 99am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
100PROGRAMS = $(bin_PROGRAMS)
101am__ftp_SOURCES_DIST = cmds.c cmdtab.c extern.h ftp.c ftp_locl.h \
102	ftp_var.h main.c pathnames.h ruserpass.c domacro.c globals.c \
103	security.c security.h kauth.c gssapi.c
104@KRB5_TRUE@am__objects_1 = gssapi.$(OBJEXT)
105am_ftp_OBJECTS = cmds.$(OBJEXT) cmdtab.$(OBJEXT) ftp.$(OBJEXT) \
106	main.$(OBJEXT) ruserpass.$(OBJEXT) domacro.$(OBJEXT) \
107	globals.$(OBJEXT) security.$(OBJEXT) kauth.$(OBJEXT) \
108	$(am__objects_1)
109ftp_OBJECTS = $(am_ftp_OBJECTS)
110ftp_LDADD = $(LDADD)
111am__DEPENDENCIES_1 =
112ftp_DEPENDENCIES = ../common/libcommon.a $(LIB_gssapi) $(LIB_krb5) \
113	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
114	$(am__DEPENDENCIES_1)
115depcomp = $(SHELL) $(top_srcdir)/depcomp
116am__depfiles_maybe = depfiles
117am__mv = mv -f
118COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
119	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
120LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
121	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
122	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
123CCLD = $(CC)
124LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
125	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
126	$(LDFLAGS) -o $@
127SOURCES = $(ftp_SOURCES) $(EXTRA_ftp_SOURCES)
128DIST_SOURCES = $(am__ftp_SOURCES_DIST) $(EXTRA_ftp_SOURCES)
129am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
130am__vpath_adj = case $$p in \
131    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
132    *) f=$$p;; \
133  esac;
134am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
135am__install_max = 40
136am__nobase_strip_setup = \
137  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
138am__nobase_strip = \
139  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
140am__nobase_list = $(am__nobase_strip_setup); \
141  for p in $$list; do echo "$$p $$p"; done | \
142  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
143  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
144    if (++n[$$2] == $(am__install_max)) \
145      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
146    END { for (dir in files) print dir, files[dir] }'
147am__base_list = \
148  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
149  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
150man1dir = $(mandir)/man1
151MANS = $(man_MANS)
152ETAGS = etags
153CTAGS = ctags
154DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
155ACLOCAL = @ACLOCAL@
156AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
157AMTAR = @AMTAR@
158AR = @AR@
159ASN1_COMPILE = @ASN1_COMPILE@
160ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
161AUTOCONF = @AUTOCONF@
162AUTOHEADER = @AUTOHEADER@
163AUTOMAKE = @AUTOMAKE@
164AWK = @AWK@
165CANONICAL_HOST = @CANONICAL_HOST@
166CAPNG_CFLAGS = @CAPNG_CFLAGS@
167CAPNG_LIBS = @CAPNG_LIBS@
168CATMAN = @CATMAN@
169CATMANEXT = @CATMANEXT@
170CC = @CC@
171CCDEPMODE = @CCDEPMODE@
172CFLAGS = @CFLAGS@
173COMPILE_ET = @COMPILE_ET@
174CPP = @CPP@
175CPPFLAGS = @CPPFLAGS@
176CYGPATH_W = @CYGPATH_W@
177DBHEADER = @DBHEADER@
178DBLIB = @DBLIB@
179DEFS = @DEFS@
180DEPDIR = @DEPDIR@
181DIR_com_err = @DIR_com_err@
182DIR_hcrypto = @DIR_hcrypto@
183DIR_hdbdir = @DIR_hdbdir@
184DIR_roken = @DIR_roken@
185DLLTOOL = @DLLTOOL@
186DSYMUTIL = @DSYMUTIL@
187DUMPBIN = @DUMPBIN@
188ECHO_C = @ECHO_C@
189ECHO_N = @ECHO_N@
190ECHO_T = @ECHO_T@
191EGREP = @EGREP@
192EXEEXT = @EXEEXT@
193FGREP = @FGREP@
194GREP = @GREP@
195GROFF = @GROFF@
196INCLUDES_roken = @INCLUDES_roken@
197INCLUDE_hcrypto = @INCLUDE_hcrypto@
198INCLUDE_hesiod = @INCLUDE_hesiod@
199INCLUDE_krb4 = @INCLUDE_krb4@
200INCLUDE_libedit = @INCLUDE_libedit@
201INCLUDE_libintl = @INCLUDE_libintl@
202INCLUDE_openldap = @INCLUDE_openldap@
203INCLUDE_readline = @INCLUDE_readline@
204INCLUDE_sqlite3 = @INCLUDE_sqlite3@
205INSTALL = @INSTALL@
206INSTALL_DATA = @INSTALL_DATA@
207INSTALL_PROGRAM = @INSTALL_PROGRAM@
208INSTALL_SCRIPT = @INSTALL_SCRIPT@
209INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
210LD = @LD@
211LDFLAGS = @LDFLAGS@
212LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
213LEX = @LEX@
214LEXLIB = @LEXLIB@
215LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
216LIBADD_roken = @LIBADD_roken@
217LIBOBJS = @LIBOBJS@
218LIBS = @LIBS@
219LIBTOOL = @LIBTOOL@
220LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
221LIB_NDBM = @LIB_NDBM@
222LIB_XauFileName = @LIB_XauFileName@
223LIB_XauReadAuth = @LIB_XauReadAuth@
224LIB_XauWriteAuth = @LIB_XauWriteAuth@
225LIB_bswap16 = @LIB_bswap16@
226LIB_bswap32 = @LIB_bswap32@
227LIB_com_err = @LIB_com_err@
228LIB_com_err_a = @LIB_com_err_a@
229LIB_com_err_so = @LIB_com_err_so@
230LIB_crypt = @LIB_crypt@
231LIB_db_create = @LIB_db_create@
232LIB_dbm_firstkey = @LIB_dbm_firstkey@
233LIB_dbopen = @LIB_dbopen@
234LIB_dispatch_async_f = @LIB_dispatch_async_f@
235LIB_dlopen = @LIB_dlopen@
236LIB_dn_expand = @LIB_dn_expand@
237LIB_dns_search = @LIB_dns_search@
238LIB_door_create = @LIB_door_create@
239LIB_freeaddrinfo = @LIB_freeaddrinfo@
240LIB_gai_strerror = @LIB_gai_strerror@
241LIB_getaddrinfo = @LIB_getaddrinfo@
242LIB_gethostbyname = @LIB_gethostbyname@
243LIB_gethostbyname2 = @LIB_gethostbyname2@
244LIB_getnameinfo = @LIB_getnameinfo@
245LIB_getpwnam_r = @LIB_getpwnam_r@
246LIB_getsockopt = @LIB_getsockopt@
247LIB_hcrypto = @LIB_hcrypto@
248LIB_hcrypto_a = @LIB_hcrypto_a@
249LIB_hcrypto_appl = @LIB_hcrypto_appl@
250LIB_hcrypto_so = @LIB_hcrypto_so@
251LIB_hesiod = @LIB_hesiod@
252LIB_hstrerror = @LIB_hstrerror@
253LIB_kdb = @LIB_kdb@
254LIB_krb4 = @LIB_krb4@
255LIB_libedit = @LIB_libedit@
256LIB_libintl = @LIB_libintl@
257LIB_loadquery = @LIB_loadquery@
258LIB_logout = @LIB_logout@
259LIB_logwtmp = @LIB_logwtmp@
260LIB_openldap = @LIB_openldap@
261LIB_openpty = @LIB_openpty@
262LIB_otp = @LIB_otp@
263LIB_pidfile = @LIB_pidfile@
264LIB_readline = @LIB_readline@
265LIB_res_ndestroy = @LIB_res_ndestroy@
266LIB_res_nsearch = @LIB_res_nsearch@
267LIB_res_search = @LIB_res_search@
268LIB_roken = @LIB_roken@
269LIB_security = @LIB_security@
270LIB_setsockopt = @LIB_setsockopt@
271LIB_socket = @LIB_socket@
272LIB_sqlite3 = @LIB_sqlite3@
273LIB_syslog = @LIB_syslog@
274LIB_tgetent = @LIB_tgetent@
275LIPO = @LIPO@
276LN_S = @LN_S@
277LTLIBOBJS = @LTLIBOBJS@
278MAINT = @MAINT@
279MAKEINFO = @MAKEINFO@
280MANIFEST_TOOL = @MANIFEST_TOOL@
281MKDIR_P = @MKDIR_P@
282NM = @NM@
283NMEDIT = @NMEDIT@
284NO_AFS = @NO_AFS@
285NROFF = @NROFF@
286OBJDUMP = @OBJDUMP@
287OBJEXT = @OBJEXT@
288OTOOL = @OTOOL@
289OTOOL64 = @OTOOL64@
290PACKAGE = @PACKAGE@
291PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
292PACKAGE_NAME = @PACKAGE_NAME@
293PACKAGE_STRING = @PACKAGE_STRING@
294PACKAGE_TARNAME = @PACKAGE_TARNAME@
295PACKAGE_URL = @PACKAGE_URL@
296PACKAGE_VERSION = @PACKAGE_VERSION@
297PATH_SEPARATOR = @PATH_SEPARATOR@
298PKG_CONFIG = @PKG_CONFIG@
299PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
300PTHREAD_LDADD = @PTHREAD_LDADD@
301PTHREAD_LIBADD = @PTHREAD_LIBADD@
302RANLIB = @RANLIB@
303SED = @SED@
304SET_MAKE = @SET_MAKE@
305SHELL = @SHELL@
306SLC = @SLC@
307SLC_DEP = @SLC_DEP@
308STRIP = @STRIP@
309VERSION = @VERSION@
310VERSIONING = @VERSIONING@
311WFLAGS = @WFLAGS@
312WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
313WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
314XMKMF = @XMKMF@
315X_CFLAGS = @X_CFLAGS@
316X_EXTRA_LIBS = @X_EXTRA_LIBS@
317X_LIBS = @X_LIBS@
318X_PRE_LIBS = @X_PRE_LIBS@
319YACC = @YACC@
320YFLAGS = @YFLAGS@
321abs_builddir = @abs_builddir@
322abs_srcdir = @abs_srcdir@
323abs_top_builddir = @abs_top_builddir@
324abs_top_srcdir = @abs_top_srcdir@
325ac_ct_AR = @ac_ct_AR@
326ac_ct_CC = @ac_ct_CC@
327ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
328am__include = @am__include@
329am__leading_dot = @am__leading_dot@
330am__quote = @am__quote@
331am__tar = @am__tar@
332am__untar = @am__untar@
333bindir = @bindir@
334build = @build@
335build_alias = @build_alias@
336build_cpu = @build_cpu@
337build_os = @build_os@
338build_vendor = @build_vendor@
339builddir = @builddir@
340datadir = @datadir@
341datarootdir = @datarootdir@
342docdir = @docdir@
343dpagaix_cflags = @dpagaix_cflags@
344dpagaix_ldadd = @dpagaix_ldadd@
345dpagaix_ldflags = @dpagaix_ldflags@
346dvidir = @dvidir@
347exec_prefix = @exec_prefix@
348host = @host@
349host_alias = @host_alias@
350host_cpu = @host_cpu@
351host_os = @host_os@
352host_vendor = @host_vendor@
353htmldir = @htmldir@
354includedir = @includedir@
355infodir = @infodir@
356install_sh = @install_sh@
357libdir = @libdir@
358libexecdir = @libexecdir@
359localedir = @localedir@
360localstatedir = @localstatedir@
361mandir = @mandir@
362mkdir_p = @mkdir_p@
363oldincludedir = @oldincludedir@
364pdfdir = @pdfdir@
365prefix = @prefix@
366program_transform_name = @program_transform_name@
367psdir = @psdir@
368sbindir = @sbindir@
369sharedstatedir = @sharedstatedir@
370srcdir = @srcdir@
371subdirs = @subdirs@
372sysconfdir = @sysconfdir@
373target_alias = @target_alias@
374top_build_prefix = @top_build_prefix@
375top_builddir = @top_builddir@
376top_srcdir = @top_srcdir@
377SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
378DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
379AM_CPPFLAGS = $(INCLUDES_roken) -I$(srcdir)/../common \
380	$(INCLUDE_readline) $(INCLUDE_hcrypto)
381@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
382AM_CFLAGS = $(WFLAGS)
383CP = cp
384buildinclude = $(top_builddir)/include
385LIB_el_init = @LIB_el_init@
386LIB_getattr = @LIB_getattr@
387LIB_getpwent_r = @LIB_getpwent_r@
388LIB_odm_initialize = @LIB_odm_initialize@
389LIB_setpcred = @LIB_setpcred@
390HESIODLIB = @HESIODLIB@
391HESIODINCLUDE = @HESIODINCLUDE@
392libexec_heimdaldir = $(libexecdir)/heimdal
393NROFF_MAN = groff -mandoc -Tascii
394LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
395@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
396@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
397
398@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
399LIB_heimbase = $(top_builddir)/base/libheimbase.la
400@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
401CHECK_LOCAL = 
402@KRB5_TRUE@krb5_sources = gssapi.c
403ftp_SOURCES = \
404	cmds.c \
405	cmdtab.c \
406	extern.h \
407	ftp.c \
408	ftp_locl.h \
409	ftp_var.h \
410	main.c \
411	pathnames.h \
412	ruserpass.c \
413	domacro.c \
414	globals.c \
415	security.c \
416	security.h \
417	kauth.c \
418	$(krb5_sources)
419
420EXTRA_ftp_SOURCES = gssapi.c
421man_MANS = ftp.1
422LDADD = \
423	../common/libcommon.a \
424	$(LIB_gssapi) \
425	$(LIB_krb5) \
426	$(LIB_hcrypto) \
427	$(LIB_roken) \
428	$(LIB_readline)
429
430EXTRA_DIST = NTMakefile $(man_MANS)
431all: all-am
432
433.SUFFIXES:
434.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
435$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
436	@for dep in $?; do \
437	  case '$(am__configure_deps)' in \
438	    *$$dep*) \
439	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
440	        && { if test -f $@; then exit 0; else break; fi; }; \
441	      exit 1;; \
442	  esac; \
443	done; \
444	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign appl/ftp/ftp/Makefile'; \
445	$(am__cd) $(top_srcdir) && \
446	  $(AUTOMAKE) --foreign appl/ftp/ftp/Makefile
447.PRECIOUS: Makefile
448Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
449	@case '$?' in \
450	  *config.status*) \
451	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
452	  *) \
453	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
454	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
455	esac;
456
457$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
458	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
459
460$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
461	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
462$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
463	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
464$(am__aclocal_m4_deps):
465install-binPROGRAMS: $(bin_PROGRAMS)
466	@$(NORMAL_INSTALL)
467	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
468	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
469	for p in $$list; do echo "$$p $$p"; done | \
470	sed 's/$(EXEEXT)$$//' | \
471	while read p p1; do if test -f $$p || test -f $$p1; \
472	  then echo "$$p"; echo "$$p"; else :; fi; \
473	done | \
474	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
475	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
476	sed 'N;N;N;s,\n, ,g' | \
477	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
478	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
479	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
480	    else { print "f", $$3 "/" $$4, $$1; } } \
481	  END { for (d in files) print "f", d, files[d] }' | \
482	while read type dir files; do \
483	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
484	    test -z "$$files" || { \
485	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
486	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
487	    } \
488	; done
489
490uninstall-binPROGRAMS:
491	@$(NORMAL_UNINSTALL)
492	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
493	files=`for p in $$list; do echo "$$p"; done | \
494	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
495	      -e 's/$$/$(EXEEXT)/' `; \
496	test -n "$$list" || exit 0; \
497	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
498	cd "$(DESTDIR)$(bindir)" && rm -f $$files
499
500clean-binPROGRAMS:
501	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
502	echo " rm -f" $$list; \
503	rm -f $$list || exit $$?; \
504	test -n "$(EXEEXT)" || exit 0; \
505	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
506	echo " rm -f" $$list; \
507	rm -f $$list
508ftp$(EXEEXT): $(ftp_OBJECTS) $(ftp_DEPENDENCIES) 
509	@rm -f ftp$(EXEEXT)
510	$(LINK) $(ftp_OBJECTS) $(ftp_LDADD) $(LIBS)
511
512mostlyclean-compile:
513	-rm -f *.$(OBJEXT)
514
515distclean-compile:
516	-rm -f *.tab.c
517
518@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cmds.Po@am__quote@
519@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cmdtab.Po@am__quote@
520@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/domacro.Po@am__quote@
521@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ftp.Po@am__quote@
522@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/globals.Po@am__quote@
523@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gssapi.Po@am__quote@
524@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kauth.Po@am__quote@
525@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
526@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ruserpass.Po@am__quote@
527@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/security.Po@am__quote@
528
529.c.o:
530@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
531@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
532@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
533@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
534@am__fastdepCC_FALSE@	$(COMPILE) -c $<
535
536.c.obj:
537@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
538@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
539@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
540@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
541@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
542
543.c.lo:
544@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
545@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
546@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
547@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
548@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
549
550mostlyclean-libtool:
551	-rm -f *.lo
552
553clean-libtool:
554	-rm -rf .libs _libs
555install-man1: $(man_MANS)
556	@$(NORMAL_INSTALL)
557	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
558	@list=''; test -n "$(man1dir)" || exit 0; \
559	{ for i in $$list; do echo "$$i"; done; \
560	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
561	  sed -n '/\.1[a-z]*$$/p'; \
562	} | while read p; do \
563	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
564	  echo "$$d$$p"; echo "$$p"; \
565	done | \
566	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
567	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
568	sed 'N;N;s,\n, ,g' | { \
569	list=; while read file base inst; do \
570	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
571	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
572	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
573	  fi; \
574	done; \
575	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
576	while read files; do \
577	  test -z "$$files" || { \
578	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
579	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
580	done; }
581
582uninstall-man1:
583	@$(NORMAL_UNINSTALL)
584	@list=''; test -n "$(man1dir)" || exit 0; \
585	files=`{ for i in $$list; do echo "$$i"; done; \
586	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
587	  sed -n '/\.1[a-z]*$$/p'; \
588	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
589	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
590	test -z "$$files" || { \
591	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
592	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
593
594ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
595	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
596	unique=`for i in $$list; do \
597	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
598	  done | \
599	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
600	      END { if (nonempty) { for (i in files) print i; }; }'`; \
601	mkid -fID $$unique
602tags: TAGS
603
604TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
605		$(TAGS_FILES) $(LISP)
606	set x; \
607	here=`pwd`; \
608	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
609	unique=`for i in $$list; do \
610	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
611	  done | \
612	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
613	      END { if (nonempty) { for (i in files) print i; }; }'`; \
614	shift; \
615	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
616	  test -n "$$unique" || unique=$$empty_fix; \
617	  if test $$# -gt 0; then \
618	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
619	      "$$@" $$unique; \
620	  else \
621	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
622	      $$unique; \
623	  fi; \
624	fi
625ctags: CTAGS
626CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
627		$(TAGS_FILES) $(LISP)
628	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
629	unique=`for i in $$list; do \
630	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
631	  done | \
632	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
633	      END { if (nonempty) { for (i in files) print i; }; }'`; \
634	test -z "$(CTAGS_ARGS)$$unique" \
635	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
636	     $$unique
637
638GTAGS:
639	here=`$(am__cd) $(top_builddir) && pwd` \
640	  && $(am__cd) $(top_srcdir) \
641	  && gtags -i $(GTAGS_ARGS) "$$here"
642
643distclean-tags:
644	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
645
646distdir: $(DISTFILES)
647	@list='$(MANS)'; if test -n "$$list"; then \
648	  list=`for p in $$list; do \
649	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
650	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
651	  if test -n "$$list" && \
652	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
653	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
654	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
655	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
656	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
657	    exit 1; \
658	  else :; fi; \
659	else :; fi
660	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
661	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
662	list='$(DISTFILES)'; \
663	  dist_files=`for file in $$list; do echo $$file; done | \
664	  sed -e "s|^$$srcdirstrip/||;t" \
665	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
666	case $$dist_files in \
667	  */*) $(MKDIR_P) `echo "$$dist_files" | \
668			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
669			   sort -u` ;; \
670	esac; \
671	for file in $$dist_files; do \
672	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
673	  if test -d $$d/$$file; then \
674	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
675	    if test -d "$(distdir)/$$file"; then \
676	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
677	    fi; \
678	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
679	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
680	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
681	    fi; \
682	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
683	  else \
684	    test -f "$(distdir)/$$file" \
685	    || cp -p $$d/$$file "$(distdir)/$$file" \
686	    || exit 1; \
687	  fi; \
688	done
689	$(MAKE) $(AM_MAKEFLAGS) \
690	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
691	  dist-hook
692check-am: all-am
693	$(MAKE) $(AM_MAKEFLAGS) check-local
694check: check-am
695all-am: Makefile $(PROGRAMS) $(MANS) all-local
696installdirs:
697	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
698	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
699	done
700install: install-am
701install-exec: install-exec-am
702install-data: install-data-am
703uninstall: uninstall-am
704
705install-am: all-am
706	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
707
708installcheck: installcheck-am
709install-strip:
710	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
711	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
712	  `test -z '$(STRIP)' || \
713	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
714mostlyclean-generic:
715
716clean-generic:
717
718distclean-generic:
719	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
720	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
721
722maintainer-clean-generic:
723	@echo "This command is intended for maintainers to use"
724	@echo "it deletes files that may require special tools to rebuild."
725clean: clean-am
726
727clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
728
729distclean: distclean-am
730	-rm -rf ./$(DEPDIR)
731	-rm -f Makefile
732distclean-am: clean-am distclean-compile distclean-generic \
733	distclean-tags
734
735dvi: dvi-am
736
737dvi-am:
738
739html: html-am
740
741html-am:
742
743info: info-am
744
745info-am:
746
747install-data-am: install-man
748	@$(NORMAL_INSTALL)
749	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
750install-dvi: install-dvi-am
751
752install-dvi-am:
753
754install-exec-am: install-binPROGRAMS
755	@$(NORMAL_INSTALL)
756	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
757install-html: install-html-am
758
759install-html-am:
760
761install-info: install-info-am
762
763install-info-am:
764
765install-man: install-man1
766
767install-pdf: install-pdf-am
768
769install-pdf-am:
770
771install-ps: install-ps-am
772
773install-ps-am:
774
775installcheck-am:
776
777maintainer-clean: maintainer-clean-am
778	-rm -rf ./$(DEPDIR)
779	-rm -f Makefile
780maintainer-clean-am: distclean-am maintainer-clean-generic
781
782mostlyclean: mostlyclean-am
783
784mostlyclean-am: mostlyclean-compile mostlyclean-generic \
785	mostlyclean-libtool
786
787pdf: pdf-am
788
789pdf-am:
790
791ps: ps-am
792
793ps-am:
794
795uninstall-am: uninstall-binPROGRAMS uninstall-man
796	@$(NORMAL_INSTALL)
797	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
798uninstall-man: uninstall-man1
799
800.MAKE: check-am install-am install-data-am install-exec-am \
801	install-strip uninstall-am
802
803.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
804	clean clean-binPROGRAMS clean-generic clean-libtool ctags \
805	dist-hook distclean distclean-compile distclean-generic \
806	distclean-libtool distclean-tags distdir dvi dvi-am html \
807	html-am info info-am install install-am install-binPROGRAMS \
808	install-data install-data-am install-data-hook install-dvi \
809	install-dvi-am install-exec install-exec-am install-exec-hook \
810	install-html install-html-am install-info install-info-am \
811	install-man install-man1 install-pdf install-pdf-am install-ps \
812	install-ps-am install-strip installcheck installcheck-am \
813	installdirs maintainer-clean maintainer-clean-generic \
814	mostlyclean mostlyclean-compile mostlyclean-generic \
815	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
816	uninstall-am uninstall-binPROGRAMS uninstall-hook \
817	uninstall-man uninstall-man1
818
819
820install-suid-programs:
821	@foo='$(bin_SUIDS)'; \
822	for file in $$foo; do \
823	x=$(DESTDIR)$(bindir)/$$file; \
824	if chown 0:0 $$x && chmod u+s $$x; then :; else \
825	echo "*"; \
826	echo "* Failed to install $$x setuid root"; \
827	echo "*"; \
828	fi; done
829
830install-exec-hook: install-suid-programs
831
832install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
833	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
834	for f in $$foo; do \
835		f=`basename $$f`; \
836		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
837		else file="$$f"; fi; \
838		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
839		: ; else \
840			echo " $(CP) $$file $(buildinclude)/$$f"; \
841			$(CP) $$file $(buildinclude)/$$f; \
842		fi ; \
843	done ; \
844	foo='$(nobase_include_HEADERS)'; \
845	for f in $$foo; do \
846		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
847		else file="$$f"; fi; \
848		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
849		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
850		: ; else \
851			echo " $(CP) $$file $(buildinclude)/$$f"; \
852			$(CP) $$file $(buildinclude)/$$f; \
853		fi ; \
854	done
855
856all-local: install-build-headers
857
858check-local::
859	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
860	  foo=''; elif test '$(CHECK_LOCAL)'; then \
861	  foo='$(CHECK_LOCAL)'; else \
862	  foo='$(PROGRAMS)'; fi; \
863	  if test "$$foo"; then \
864	  failed=0; all=0; \
865	  for i in $$foo; do \
866	    all=`expr $$all + 1`; \
867	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
868	      echo "PASS: $$i"; \
869	    else \
870	      echo "FAIL: $$i"; \
871	      failed=`expr $$failed + 1`; \
872	    fi; \
873	  done; \
874	  if test "$$failed" -eq 0; then \
875	    banner="All $$all tests passed"; \
876	  else \
877	    banner="$$failed of $$all tests failed"; \
878	  fi; \
879	  dashes=`echo "$$banner" | sed s/./=/g`; \
880	  echo "$$dashes"; \
881	  echo "$$banner"; \
882	  echo "$$dashes"; \
883	  test "$$failed" -eq 0 || exit 1; \
884	fi
885
886.x.c:
887	@cmp -s $< $@ 2> /dev/null || cp $< $@
888
889.hx.h:
890	@cmp -s $< $@ 2> /dev/null || cp $< $@
891#NROFF_MAN = nroff -man
892.1.cat1:
893	$(NROFF_MAN) $< > $@
894.3.cat3:
895	$(NROFF_MAN) $< > $@
896.5.cat5:
897	$(NROFF_MAN) $< > $@
898.8.cat8:
899	$(NROFF_MAN) $< > $@
900
901dist-cat1-mans:
902	@foo='$(man1_MANS)'; \
903	bar='$(man_MANS)'; \
904	for i in $$bar; do \
905	case $$i in \
906	*.1) foo="$$foo $$i";; \
907	esac; done ;\
908	for i in $$foo; do \
909		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
910		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
911		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
912	done
913
914dist-cat3-mans:
915	@foo='$(man3_MANS)'; \
916	bar='$(man_MANS)'; \
917	for i in $$bar; do \
918	case $$i in \
919	*.3) foo="$$foo $$i";; \
920	esac; done ;\
921	for i in $$foo; do \
922		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
923		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
924		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
925	done
926
927dist-cat5-mans:
928	@foo='$(man5_MANS)'; \
929	bar='$(man_MANS)'; \
930	for i in $$bar; do \
931	case $$i in \
932	*.5) foo="$$foo $$i";; \
933	esac; done ;\
934	for i in $$foo; do \
935		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
936		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
937		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
938	done
939
940dist-cat8-mans:
941	@foo='$(man8_MANS)'; \
942	bar='$(man_MANS)'; \
943	for i in $$bar; do \
944	case $$i in \
945	*.8) foo="$$foo $$i";; \
946	esac; done ;\
947	for i in $$foo; do \
948		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
949		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
950		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
951	done
952
953dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
954
955install-cat-mans:
956	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
957
958uninstall-cat-mans:
959	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
960
961install-data-hook: install-cat-mans
962uninstall-hook: uninstall-cat-mans
963
964.et.h:
965	$(COMPILE_ET) $<
966.et.c:
967	$(COMPILE_ET) $<
968
969#
970# Useful target for debugging
971#
972
973check-valgrind:
974	tobjdir=`cd $(top_builddir) && pwd` ; \
975	tsrcdir=`cd $(top_srcdir) && pwd` ; \
976	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
977
978#
979# Target to please samba build farm, builds distfiles in-tree.
980# Will break when automake changes...
981#
982
983distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
984	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
985	  if test "$$subdir" != .; then \
986	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
987	  fi ; \
988	done
989
990# Tell versions [3.59,3.63) of GNU make to not export all variables.
991# Otherwise a system limit (for SysV at least) may be exceeded.
992.NOEXPORT: